com.h3c.sdn

## Enum Severity

- java.lang.Object
- - java.lang.Enum<Severity>
  - - com.h3c.sdn.Severity

- All Implemented Interfaces:
    Serializable, Comparable<Severity>

      public enum Severity
      extends Enum<Severity>

  Representation of possible event/alarm severity level

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `CRITICAL` Critical severity - most sever
    `INFO` Informational severity - least sever
    `WARNING` Warning severity

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Severity` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static Severity[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### INFO

          public static final Severity INFO

      Informational severity - least sever

    - #### WARNING

          public static final Severity WARNING

      Warning severity

    - #### CRITICAL

          public static final Severity CRITICAL

      Critical severity - most sever

  - ### Method Detail

    - #### values

          public static Severity[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Severity c : Severity.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Severity valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2014. All Rights Reserved.